## org.codehaus.groovy.antlr
Class SourceBuffer

A simple buffer that provides line/col access to chunks of source code held within itself.

author:
  Jeremy Rayner

version:
  $Revision: 7922 $

Field Summary
`StringBuffer` | `current`
`List` | `lines`

Constructor Summary
`SourceBuffer()`

Method Summary
`String` | `getSnippet(LineColumn start, LineColumn end)` Obtains a snippet of the source code within the bounds specified
`void` | `write(int c)` Writes the specified character into the buffer

Constructor Detail

### SourceBuffer

    public SourceBuffer()

Method Detail

### getSnippet

    public String getSnippet(LineColumn start, LineColumn end)

  Obtains a snippet of the source code within the bounds specified
  param:
    start (inclusive line/ inclusive column)
  param:
    end (inclusive line / exclusive column)
  return:
    specified snippet of source code as a String, or null if no source available

### write

    public void write(int c)

  Writes the specified character into the buffer
  param:
    c